Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.j2ee.servlets
Class BaseHttpServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              net.sf.jasperreports.j2ee.servlets.BaseHttpServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

Direct Known Subclasses:
  AbstractXlsServlet, ImageServlet, OdtServlet, PdfServlet, RtfServlet, XmlServlet

    public abstract class BaseHttpServlet

extends javax.servlet.http.HttpServlet

Version:
  $Id: BaseHttpServlet.java 3439 2010-02-18 14:57:42Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `BUFFERED_OUTPUT_REQUEST_PARAMETER`
`static java.lang.String` | `DEFAULT_JASPER_PRINT_LIST_SESSION_ATTRIBUTE`
`static java.lang.String` | `DEFAULT_JASPER_PRINT_SESSION_ATTRIBUTE`
`static java.lang.String` | `JASPER_PRINT_LIST_REQUEST_PARAMETER`
`static java.lang.String` | `JASPER_PRINT_REQUEST_PARAMETER`

Constructor Summary
`BaseHttpServlet()`

Method Summary
`static java.util.List` | `getJasperPrintList(javax.servlet.http.HttpServletRequest request)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_JASPER_PRINT_LIST_SESSION_ATTRIBUTE

    public static final java.lang.String DEFAULT_JASPER_PRINT_LIST_SESSION_ATTRIBUTE

See Also:
  Constant Field Values

### DEFAULT_JASPER_PRINT_SESSION_ATTRIBUTE

    public static final java.lang.String DEFAULT_JASPER_PRINT_SESSION_ATTRIBUTE

See Also:
  Constant Field Values

### JASPER_PRINT_LIST_REQUEST_PARAMETER

    public static final java.lang.String JASPER_PRINT_LIST_REQUEST_PARAMETER

See Also:
  Constant Field Values

### JASPER_PRINT_REQUEST_PARAMETER

    public static final java.lang.String JASPER_PRINT_REQUEST_PARAMETER

See Also:
  Constant Field Values

### BUFFERED_OUTPUT_REQUEST_PARAMETER

    public static final java.lang.String BUFFERED_OUTPUT_REQUEST_PARAMETER

See Also:
  Constant Field Values

Constructor Detail

### BaseHttpServlet

    public BaseHttpServlet()

Method Detail

### getJasperPrintList

    public static java.util.List getJasperPrintList(javax.servlet.http.HttpServletRequest request)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com